QGIS Application - Bug report #17165
QGIS crashes when attempting to get scripts from on-line scripts collection (R scripts or Scripts)
2017-09-20 07:39 AM - David Wright

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.10 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 25064
Description

Hello,

When attempting to load R scripts into QGI1S2.18.9, the application shuts down with no error message. Poof...just vanishes. | am running
0SX10.11.6. So, | installed the LTR version (2.14.15) to test the issue and it still crashes. | deleted the /~qgis2/ folder just to be sure that
there wasn't a holdover issue with changing versions, but it still crashes. | also double-checked the paths in the Processor Settings and
they are just fine. Installed scripts run fine, but | can't fetch or get information on any new ones. Just to test, | checked the same function in
Models (Processing Toolbox>Models>Tools>Get models from on-line scripts collection) and it also crashes without an error message.
Same thing for the general Scripts tool.

I've looked extensively to troubleshoot this issue, but can't find anything. Any thoughts on what this might be or possible solutions?

Thanks,
David

Associated revisions

Revision afb49eca - 2017-10-06 09:14 AM - Matthias Kuhn

[processing] Fix crash when browsing Get scripts and models

Fix #17165

History

#1 - 2017-09-20 10:15 AM - Giovanni Manghi

- Operating System changed from OSX10.11.6 to macOS

- Subject changed from QGIS2.18.9 (also 2.14.15) crashes when attempting to get scripts from on-line scripts collection (R scripts or Scripts) to QGIS
crashes when attempting to get scripts from on-line scripts collection (R scripts or Scripts)

- Assignee changed from David Wright to Victor Olaya

- Priority changed from Normal to High

- Affected QGIS version changed from 2.18.9 to 2.18.10

Seen also on Sierra and 2.18.10

#2 - 2017-10-06 09:15 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|afb49eca29652635e782187f54216341766c5f9f.

#3 - 2017-10-07 03:21 AM - David Wright
- Status changed from Closed to Reopened

The issue isn't fixed. | just downloaded 2.18.13-1 and tried to load in online scripts and it crashed again. This time, | got an error message, though. (Sorry,
| accidentally didn't copy the entire message and now when | reopen QGIS and try to access online scripts, it crashes without an error message.)

Process: QGIS [8959]

Path: /Applications/QGIS.app/Contents/MacOS/QGIS
Identifier: org.qgis.qgis2

Version: 2.18.13 (2.18.13 [exported])

Code Type: X86-64 (Native)

Parent Process: 27?7 [1]

Responsible: QGIS [8959]

User ID: 501

Date/Time: 2017-10-07 10:10:37.278 +0900
OS Version: Mac OS X 10.11.6 (15G1611)
Report Version: 11

Anonymous UUID: 19859891-7A29-26BB-B22A-63CE40A6D9C0O

Sleep/Wake UUID:  59517FFD-5F08-4FE8-A4FB-FDFADC96CD8E

Time Awake Since Boot: 290000 seconds
Time Since Wake: 910 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000138
Exception Note: EXC_CORPSE_NOTIFY

VM Regions Near 0x138:

->

_ TEXT 0000000109c14000-000000010a0f2000 [ 4984K] r-x/rwx SM=COW /Applications/QGIS.app/Contents/MacOS/QGIS

#4 - 2017-10-07 12:29 PM - Giovanni Manghi
- Status changed from Reopened to Closed
- Resolution set to fixed/implemented

David Wright wrote:

The issue isn't fixed. | just downloaded 2.18.13-1

does it really contain the fix?
search for

python/plugins/processing/gui/GetScriptsAndModels.py

in your system and check if the lines were removed in the fix are still there

commit:afb49eca29652635e782187154216341766¢5f9f

(check also if by chance you have an old Processing version in ~/.qgis2/python/plugins/ , if yes remove it).

#5 - 2017-10-08 12:26 AM - David Wright
- File Screen Shot 2017-10-08 at 7.15.43 AM.png added

"python/plugins/processing/gui/GetScriptsAndModels.py" doesn't exist in my .qgis folder (see screenshot). | also did a manual search for
GetScriptsAndModels.py just to be sure it wasn't stuffed into another folder and it is nowhere to be found. | downloaded and installed all of the python, etc.
frameworks from Kyngchaos yesterday--it is all up to date. This is pretty bewildering to me.
#6 - 2017-10-08 09:37 PM - Giovanni Manghi
David Wright wrote:

"python/plugins/processing/gui/GetScriptsAndModels.py" doesn't exist in my .qgis folder (see screenshot). | also did a manual search for

GetScriptsAndModels.py just to be sure it wasn't stuffed into another folder and it is nowhere to be found. | downloaded and installed all of the
python, etc. frameworks from Kyngchaos yesterday--it is all up to date. This is pretty bewildering to me.

just checked, the fix is not in 2.18.13 for mac. If you apply the fix manually (use "sudo locate" to search for the file location) no more crash.

#7 - 2017-10-09 09:33 AM - Harrissou Santanna
David Wright wrote:
"python/plugins/processing/gui/GetScriptsAndModels.py" doesn't exist in my .qgis folder (see screenshot). | also did a manual search for

GetScriptsAndModels.py just to be sure it wasn't stuffed into another folder and it is nowhere to be found. | downloaded and installed all of the
python, etc. frameworks from Kyngchaos yesterday--it is all up to date. This is pretty bewildering to me.

given the screenshot you linked, it's not in your .qgis folder (which is bound to QGIS 1.x versions) nor your .qgis2 folder you should look for the file but in
your qgis.app folder in /Applications folder. Check the web how to open the contents of the .app (might be restrictions by default, | think).

#8 - 2017-10-09 12:17 PM - David Wright

Brilliant! Thanks so much for your help. | made the fix and learned more about my OS today. Cheers for the fix and the advice on how to apply it!

David

Files
